# Interface ComponentMetadataSupplier

All Superinterfaces:
  `Action<ComponentMetadataSupplierDetails>`

@Incubating public interface ComponentMetadataSupplier extends Action<ComponentMetadataSupplierDetails>
A component metadata rule is responsible for providing the initial metadata of a component from a remote repository, in place of parsing the descriptor. Users may implement a provider to make dependency resolution faster.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`void`
`execute(ComponentMetadataSupplierDetails details)`
Supply metadata for a component.

## Method Details

### execute

void execute(ComponentMetadataSupplierDetails details)
Supply metadata for a component.

Specified by:
  `execute` in interface `Action<ComponentMetadataSupplierDetails>`
Parameters:
  `details` - the supplier details